fedora-rpmdevtools buildrpmtree, NONE, 1.1 diffarchive, NONE, 1.1 extractarchive, NONE, 1.1 newrpmspec, NONE, 1.1 rmdevelrpms, NONE, 1.1 rpmchecksig, NONE, 1.1 rpmdevtools.spec, NONE, 1.1 rpmmd5, NONE, 1.1 rpmvercmp, NONE, 1.1 wipebuildtree, NONE, 1.1 .cvsignore, 1.2, 1.3 Makefile.am, 1.3, 1.4 check-rpaths-worker, 1.8, 1.9 configure.ac, 1.2, 1.3 rmdevelrpms.conf, 1.1, 1.2 fedora-buildrpmtree, 1.5, NONE fedora-diffarchive, 1.5, NONE fedora-extract, 1.4, NONE fedora-md5, 1.4, NONE fedora-newrpmspec, 1.7, NONE fedora-rmdevelrpms, 1.18, NONE fedora-rpmchecksig, 1.4, NONE fedora-rpmdevtools.spec, 1.100, NONE fedora-rpmvercmp, 1.2, NONE fedora-wipebuildtree, 1.5, NONE mkdist.sh, 1.3, NONE

Ville Skytta (scop) fedora-extras-commits at redhat.com
Mon Jul 17 20:02:15 UTC 2006


Author: scop

Update of /cvs/fedora/fedora-rpmdevtools
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv6993

Modified Files:
	.cvsignore Makefile.am check-rpaths-worker configure.ac 
	rmdevelrpms.conf 
Added Files:
	buildrpmtree diffarchive extractarchive newrpmspec rmdevelrpms 
	rpmchecksig rpmdevtools.spec rpmmd5 rpmvercmp wipebuildtree 
Removed Files:
	fedora-buildrpmtree fedora-diffarchive fedora-extract 
	fedora-md5 fedora-newrpmspec fedora-rmdevelrpms 
	fedora-rpmchecksig fedora-rpmdevtools.spec fedora-rpmvercmp 
	fedora-wipebuildtree mkdist.sh 
Log Message:
Rename according to plan at https://www.redhat.com/archives/fedora-extras-list/2006-July/msg00557.html


***** Error reading new file: [Errno 2] No such file or directory: 'buildrpmtree'

--- NEW FILE diffarchive ---
#!/bin/bash
# -*- coding: utf-8 -*-

# diffarchive -- Diff contents of two archives
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

set -e

unset CDPATH
tmpdir=
diffopts=
list=

trap cleanup EXIT
cleanup()
{
    set +e
    [ -z "$tmpdir" -o ! -d "$tmpdir" ] || rm -rf "$tmpdir"
}

version()
{
    cat <<EOF
diffarchive version 1.0

Copyright (c) 2004-2006 Fedora Project <http://fedoraproject.org/>.
This  program is licensed under the GNU General Public License, see the
file COPYING included in the distribution archive.

Written by Ville Skyttä.
EOF
}

help()
{
    cat <<EOF
diffarchive diffs contents of two archives.

See extractarchive(1) for information about supported archive types.
EOF
    usage
    echo ""
    echo "Report bugs to <http://bugzilla.redhat.com/>."
}

usage()
{
    cat <<EOF
Usage: diffarchive [OPTION]... [DIFF_OPTIONS] FROM-ARCHIVE TO-ARCHIVE

Options:
  -l, --list    Diff lists of files in archives, not files themselves.
  -h, --help    Print help message and exit.
  -v, --version Print version information and exit.
  diff-options  Options passed to diff(1), in addition to -r (default: -Nu).
                The first argument not starting with a '-' ends diff-options.
EOF
}

while true ; do
    case "$1" in
        -l|--list)    [ -n "$list" ] && diffopts="$diffopts $1" || list=true ;;
        -h|--help)    help ; exit 0 ;;
        -v|--version) version ; exit 0 ;;
        -*)           diffopts="$diffopts $1" ;;
        *)            break ;;
    esac
    shift
done
if [ $# -lt 2 ] ; then
    usage
    exit 1
fi
for file in "$1" "$2" ; do
    if [ ! -f "$file" ] ; then
        [ -e "$file" ] && \
            echo "Error: not a regular file: '$file'" >&2 ||
            echo "Error: file does not exist: '$file'" >&2
        exit 1
    fi
done

diffopts="-r ${diffopts:--Nu}"

tmpdir=`mktemp -d /tmp/diffarchive.XXXXXX`

mkdir "$tmpdir/old" "$tmpdir/new"
extractarchive -q -C "$tmpdir/old" "$1"
extractarchive -q -C "$tmpdir/new" "$2"

# It would be nice if extractarchive could do some of the chmods.
find "$tmpdir"/* -type d -exec chmod u+rx {} ';' # Note: -exec, not xargs here.
chmod -R u+rw "$tmpdir"/*
cd "$tmpdir"

# Did the archives uncompress into base dirs?
if [ `ls -1d old/* | wc -l` -eq 1 ] ; then
  old=`ls -1d old/*`
else
  old=old
fi
if [ `ls -1d new/* | wc -l` -eq 1 ] ; then
  new=`ls -1d new/*`
else
  new=new
fi

# Fixup base dirs to the same level.
if [ `basename "$old"` != `basename "$new"` ] ; then
  if [ "$old" != old ] ; then
    mv "$old" .
    old=`basename "$old"`
  fi
  if [ "$new" != new ] ; then
    mv "$new" .
    new=`basename "$new"`
  fi
fi

# Here we go.
if [ -n "$list" ] ; then
    find "$old" | sort | cut -d/ -f 2- -s > "$old.files"
    find "$new" | sort | cut -d/ -f 2- -s > "$new.files"
    diff $diffopts "$old.files" "$new.files"
else
    diff $diffopts "$old" "$new"
fi


--- NEW FILE extractarchive ---
#!/bin/bash
# -*- coding: utf-8 -*-

# extractarchive -- Extract various archives in "tar xvf" style
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# TODO: more archive types

set -e
unset CDPATH
ftype=
decomp=
quiet=
force=
dir=

version()
{
    cat <<EOF
extractarchive version 1.0

Copyright (c) 2004-2006 Fedora Project <http://fedoraproject.org/>.
This  program is licensed under the GNU General Public License, see the
file COPYING included in the distribution archive.

Written by Ville Skyttä.
EOF
}

help()
{
    cat <<EOF
extractarchive extracts various archives in "tar xvf" style.

Depending on availability of external (un)archiver programs, the following
archive types are supported: ace, ar/deb, arj, cab/exe, cpio, lha, rar, rpm,
tar, zip/jar, zoo.

EOF
    usage
    echo ""
    echo "Report bugs to <http://bugzilla.redhat.com/>."
}

usage()
{
    cat <<EOF
Usage: extractarchive [OPTION]... ARCHIVE...

Options:
  -q        Suppress output.
  -f        Force overwriting existing files.
  -C DIR    Change to directory DIR before extracting.
  -h        Print help message and exit.
  -v        Print version information and exit.
EOF
}

fmime()
{
    case "$1" in
        application/x-zip|application/zip)                  ftype=zip  ;;
        application/x-tar*)                                 ftype=tar  ;;
        application/x-rpm)                                  ftype=rpm  ;;
        application/x-archive|application/x-debian-package) ftype=ar   ;;
        application/x-arj)                                  ftype=arj  ;;
        application/x-zoo)                                  ftype=zoo  ;;
        application/x-lha*)                                 ftype=lha  ;;
        application/x-rar)                                  ftype=rar  ;;
    esac
}

ftype()
{
    t=`file -ibL "$1" 2>/dev/null`
    fmime "$t"
    [ -n "$ftype" ] && return

    case "$t" in
        application/x-compress|application/x-gzip)  decomp="gzip -dc"  ;;
        application/x-bzip2)                        decomp="bzip2 -dc" ;;
    esac

    if [ -n "$decomp" ] ; then
        t=`file -zibL "$1" 2>/dev/null`
        fmime "$t"
        [ -n "$ftype" ] && return
    fi

    t=`file -${decomp:+z}bL "$1" 2>/dev/null`
    case "$t" in
        *Z[iI][pP]\ *archive*)                              ftype=zip  ;;
        *tar\ archive*)                                     ftype=tar  ;;
        *ar\ archive*|*Debian\ *package*)                   ftype=ar   ;;
        *ARJ\ *archive*)                                    ftype=arj  ;;
        *Zoo\ *archive*)                                    ftype=zoo  ;;
        *cpio\ archive*)                                    ftype=cpio ;;
        *C[aA][bB]*archive*)                                ftype=cab  ;;
        RPM\ *)                                             ftype=rpm  ;;
        *ACE\ *archive*)                                    ftype=ace  ;;
        *LHa\ *archive*)                                    ftype=lha  ;;
        *RAR\ *archive*)                                    ftype=rar  ;;
    esac
}

unarch()
{
    case "$1" in
        /*) f="$1" ;;
        *)  f="$PWD/$1" ;;
    esac
    ftype "$1"
    cd "$2"
    case "$ftype" in
        tar)
            [ -n "$force" ] && o= || o=k
            ${decomp:-cat} "$f" | tar xv$o
            ;;
        zip)
            [ -n "$force" ] && o=-o || o=-n
            unzip $o "$f"
            ;;
        rar)
            [ -n "$force" ] && o=+ || o=-
            unrar x -o$o -y "$f"
            ;;
        cab)
            # force not supported, it's always on (as of cabextract 1.[01])
            cabextract -f "$f"
            ;;
        rpm)
            name=`rpm -qp --qf "%{NAME}-%{VERSION}-%{RELEASE}" "$f"`
            mkdir -p "$name"
            cd "$name"
            rpm2cpio "$f" \
            | cpio --quiet --no-absolute-filenames -id${force:+u}mv 2>&1 \
            | sed "s|^\(\./\)\?|$name/|"
            cd ..
            ;;
        cpio)
            ${decomp:-cat} "$f" | \
                cpio --quiet --no-absolute-filenames -id${force:+u}mv
            ;;
        ar)
            # force not supported, it's always on
            ar xvo "$f"
            ;;
        ace)
            [ -n "$force" ] && o=+ || o=-
            unace x -o$o -y "$f"
            ;;
        arj)
            # force not supported, it's always off (as of unarj 2.6[35])
            # it will also return an error if some files already exist :(
            unarj x "$f"
            ;;
        zoo)
            zoo x${force:+OOS} "$f"
            ;;
        lha)
            lha x${force:+f} "$f" < /dev/null
            ;;
        *)
            echo "Error: unrecognized archive: '$f'" >&2
            exit 1
            ;;
    esac
    cd - >/dev/null 2>&1
}

dir="$PWD"

while getopts "qfC:hv" key ; do
    case "$key" in
        q) quiet=1 ;;
        f) force=1 ;;
        C) dir="$OPTARG" ;;
        h) help ; exit 0 ;;
        v) version ; exit 0 ;;
        *) usage ; exit 1 ;;
    esac
done
shift $(( $OPTIND -1 ))

if [ ! -d "$dir" ] ; then
    [ -e "$dir" ] && \
        echo "Error: not a directory: '$dir'" >&2 ||
        echo "Error: directory does not exist: '$dir'" >&2
    exit 1
fi

for file in "$@" ; do
    if [ ! -f "$file" ] ; then
        [ -e "$file" ] && \
            echo "Error: not a regular file: '$file'" >&2 ||
            echo "Error: file does not exist: '$file'" >&2
        exit 1
    fi
    # Not that fancy at the moment, but -q is for backwards compatibility
    # and in case we need to do more fine-grained stuff for some unarchivers
    # later.
    if [ -n "$quiet" ] ; then
        unarch "$file" "$dir" >/dev/null
    else
        unarch "$file" "$dir"
    fi
done


***** Error reading new file: [Errno 2] No such file or directory: 'newrpmspec'

***** Error reading new file: [Errno 2] No such file or directory: 'rmdevelrpms'

***** Error reading new file: [Errno 2] No such file or directory: 'rpmchecksig'

--- NEW FILE rpmdevtools.spec ---
%define emacs_sitestart_d  %{_datadir}/emacs/site-lisp/site-start.d
%define xemacs_sitestart_d %{_datadir}/xemacs/site-packages/lisp/site-start.d
%define spectool_version   1.0.7

Name:           rpmdevtools
Version:        5.0
Release:        1%{?dist}
Summary:        Fedora RPM Development Tools

Group:          Development/Tools
License:        GPL
URL:            http://fedora.redhat.com/
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://people.redhat.com/nphilipp/spectool/spectool-%{spectool_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Provides:       spectool = %{spectool_version}
Provides:       fedora-rpmdevtools = %{name}-%{version}
Obsoletes:      fedora-rpmdevtools < 5.0
# Required for tool operations
Requires:       rpm-python, python, cpio, sed, perl, wget, file
# Minimal RPM build requirements
Requires:       rpm-build, gcc, gcc-c++, redhat-rpm-config, make, tar, patch
Requires:       diffutils, gzip, bzip2, unzip

%description
This package contains scripts and (X)Emacs support files to aid in
development of Fedora RPM packages.  These tools are designed for Fedora
Core 2 and later.
buildrpmtree     Create RPM build tree within user's home directory
diffarchive      Diff contents of two archives
extractarchive   Extract various archives, "tar xvf" style
newrpmspec       Creates new .spec from template
rmdevelrpms      Find (and optionally remove) "development" RPMs
rpmchecksig      Check package signatures using alternate RPM keyring
rpminfo          Prints information about executables and libraries
rpmmd5           Display the md5sum of all files in an RPM
rpmvercmp        RPM version comparison checker
spectool         Expand and download sources and patches in specfiles
wipebuildtree    Erase all files within dirs created by buildrpmtree


%prep
%setup -q -a 1
cp -p spectool*/README README.spectool


%build
%configure --libdir=%{_prefix}/lib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

install -pm 755 spectool*/spectool $RPM_BUILD_ROOT%{_bindir}

for dir in %{emacs_sitestart_d} %{xemacs_sitestart_d} ; do
  install -dm 755 $RPM_BUILD_ROOT$dir
  ln -s %{_datadir}/fedora/emacs/%{name}-init.el $RPM_BUILD_ROOT$dir
  touch $RPM_BUILD_ROOT$dir/%{name}-init.elc
done

# Backwards compatibility symlinks
ln -s buildrpmtree    $RPM_BUILD_ROOT%{_bindir}/fedora-buildrpmtree
ln -s diffarchive     $RPM_BUILD_ROOT%{_bindir}/fedora-diffarchive
ln -s extractarchive  $RPM_BUILD_ROOT%{_bindir}/fedora-extract
ln -s newrpmspec      $RPM_BUILD_ROOT%{_bindir}/fedora-newrpmspec
ln -s rmdevelrpms     $RPM_BUILD_ROOT%{_bindir}/fedora-rmdevelrpms
ln -s rpmchecksig     $RPM_BUILD_ROOT%{_bindir}/fedora-rpmchecksig
ln -s rpminfo         $RPM_BUILD_ROOT%{_bindir}/fedora-rpminfo
ln -s rpmmd5          $RPM_BUILD_ROOT%{_bindir}/fedora-md5
ln -s rpmvercmp       $RPM_BUILD_ROOT%{_bindir}/fedora-rpmvercmp
ln -s wipebuildtree   $RPM_BUILD_ROOT%{_bindir}/fedora-wipebuildtree


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%triggerin -- emacs-common
[ -d %{emacs_sitestart_d} ] && \
  ln -sf %{_datadir}/fedora/emacs/%{name}-init.el %{emacs_sitestart_d} || :

%triggerin -- xemacs-common
[ -d %{xemacs_sitestart_d} ] && \
  ln -sf %{_datadir}/fedora/emacs/%{name}-init.el %{xemacs_sitestart_d} || :

%triggerun -- emacs-common
[ $2 -eq 0 ] && rm -f %{emacs_sitestart_d}/%{name}-init.el* || :

%triggerun -- xemacs-common
[ $2 -eq 0 ] && rm -f %{xemacs_sitestart_d}/%{name}-init.el* || :


%files
%defattr(-,root,root,-)
%doc COPYING README*
%config(noreplace) %{_sysconfdir}/fedora
%{_datadir}/fedora/
%{_bindir}/*
%{_prefix}/lib/rpm/check-*
%ghost %{_datadir}/*emacs
%{_mandir}/man?/*.*


%changelog
* Mon Jul 17 2006 Ville Skyttä <ville.skytta at iki.fi>
- Drop fedora- prefix everywhere, add backcompat symlinks for execubtables.
- Bump version to 5.0.

* Sun Jul 16 2006 Ville Skyttä <ville.skytta at iki.fi>
- Drop fedora-kmodhelper.
- Drop fedora-installdevkeys and GPG keys, modify rpmchecksig to use
  the system rpmdb.

* Sat Jul 15 2006 Ville Skyttä <ville.skytta at iki.fi>
- Sort rmdevelrpms' output.

* Fri Jul  7 2006 Ville Skyttä <ville.skytta at iki.fi>
- Improve ruby spec template (#180066, David Lutterkort).

* Mon Jun  5 2006 Ville Skyttä <ville.skytta at iki.fi>
- Add manual pages for rmdevelrpms, diffarchive and extract.
- Trim pre-2005 changelog entries.
- Autotoolize source tree.

* Tue May 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.6-1
- Add spec template for library packages (#185606, Ignacio Vazquez-Abrams).

* Sun Feb 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.5-1
- Improve diffarchive and extract error messages.

* Fri Feb 24 2006 Ville Skyttä <ville.skytta at iki.fi>
- Update spectool to 1.0.7 (#162253).

* Thu Feb  9 2006 Ville Skyttä <ville.skytta at iki.fi>
- Add file(1) based archive type detection to fedora-extract.

* Wed Feb  8 2006 Ville Skyttä <ville.skytta at iki.fi>
- Add "diff file lists only" option to diffarchive.

* Sun Feb  5 2006 Ville Skyttä <ville.skytta at iki.fi>
- Add Ruby spec template (#180066, Oliver Andrich) and make newrpmspec
  use it for ruby-*.

* Sat Feb  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.4-2
- Fix rpath checker tests with bash 3.1 (#178636, Enrico Scholz).

* Fri Dec 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.4-1
- Update spectool to 1.0.6 (#176521).

* Wed Dec 28 2005 Ville Skyttä <ville.skytta at iki.fi>
- Update spectool to 1.0.5 (#162253), require wget for it.
- Add disttags to spec templates.

* Thu Oct 27 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.3-1
- check-rpaths-worker: detect when RPATH references the parent directory
  of an absolute path (#169298, Enrico Scholz).
- Add regression test for check-rpaths* (#169298, Enrico Scholz).
- Honor user's indent-tabs-mode setting in fedora-init.el (#170902).

* Fri Oct  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2-1
- check-buildroot: grep for buildroot as a fixed string, not a regexp.
- Update FSF's address in copyright notices.
- check-rpaths-worker: allow multiple $ORIGIN paths in an RPATH and allow
  RPATHs which are relative to $ORIGIN (#169298, Enrico Scholz).
- check-rpaths-worker: give out an hint about usage and the detected issues
  at the first detected error (Enrico Scholz).
- Remove some redundancy from the Perl spec template.
- Teach fedora-newrpmspec to detect and use different specfile variants.
- Use fedora-newrpmspec in fedora-init.el.

* Fri Jul  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.1-1
- Drop more pre-FC2 compat stuff from Perl spec template.
- Treat gcc-gfortran as a devel package in rmdevelrpms.
- Drop fedora.us GPG key.

* Thu Mar 24 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1
- Make fedora-diffarchive work better with archives containing dirs without
  read/execute permissions.
- Sync "Epoch: 0" drops with Fedora Extras CVS.
- Include Nils Philippsen's spectool.
- Own (%%ghost'd) more dirs from the site-lisp dir hierarchies.
- Drop trigger support pre-FC2 Emacs and XEmacs packages.
- Drop rpm-spec-mode.el patch, no longer needed for FC2 Emacs and later.
- Update URLs.
- Drop developer GPG keys from the package, add Fedora Extras key.
- Drop fedora-pkgannfmt, it's no longer relevant.
- Remove pre-FC2 compatibility stuff from Perl spec template.
- Don't try to remove gcc-java and related packages by default in rmdevelrpms.
- Remove "full featured" spec template, convert newrpmspec to use -minimal.

* Sun Feb  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-1
- Make buildrpmtree and wipebuildtree less dependent on a specific
  configuration (#147014, Ignacio Vazquez-Abrams).

* Tue Jan 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-1
- Remove 0.fdr. prefixes and epoch 0's from all spec templates.
- Add try-restart action to init script template.
- Remove deprecated fedora-diffrpm and fedora-unrpm.
- Install check-* to %%{_prefix}/lib/rpm instead of %%{_libdir}/rpm (bug 2351).
- Check both %%{_prefix}/lib and %%{_prefix}/lib64 in the xemacs trigger.
- Update rpminfo to 2004-07-07-01 and include it in the tarball.


--- NEW FILE rpmmd5 ---
#! /bin/sh

# Copyright (C) 2003 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

while test "$1"; do
    case "$1" in
	--help)		echo $"Usage: rpmmd5 <package>"; exit 0;;
	--version)	echo $"rpmmd5 0.4"; exit 0;;
	--)		shift; break;;
	*)		break
    esac
    shift
done

test "$1" || {
    echo $"No package specified; use '--help' for more information"
    exit 1
}


unset CDPATH
tmp=`mktemp -d /var/tmp/fedmd5.XXXXXX`
trap "rm -rf $tmp" EXIT

rpm2cpio - <"$1" | ( cd $tmp; cpio -i --quiet )

cd -- `dirname -- "$1"`
md5sum -- `basename -- "$1"`

cd $tmp
md5sum *


***** Error reading new file: [Errno 2] No such file or directory: 'rpmvercmp'

***** Error reading new file: [Errno 2] No such file or directory: 'wipebuildtree'

Index: .cvsignore
===================================================================
RCS file: /cvs/fedora/fedora-rpmdevtools/.cvsignore,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- .cvsignore	5 Jun 2006 18:29:39 -0000	1.2
+++ .cvsignore	17 Jul 2006 20:02:10 -0000	1.3
@@ -6,7 +6,7 @@
 autom4te.cache
 config.*
 configure
-fedora-rpmdevtools-*
-fedora-rpminfo
 install-sh
 missing
+rpmdevtools-*
+rpminfo


Index: Makefile.am
===================================================================
RCS file: /cvs/fedora/fedora-rpmdevtools/Makefile.am,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- Makefile.am	16 Jul 2006 21:14:27 -0000	1.3
+++ Makefile.am	17 Jul 2006 20:02:10 -0000	1.4
@@ -6,17 +6,17 @@
 pkgsysconfdir = $(sysconfdir)/fedora
 rpmlibdir = $(libdir)/rpm
 
-dist_bin_SCRIPTS = fedora-buildrpmtree fedora-diffarchive fedora-extract \
-	fedora-md5 fedora-newrpmspec \
-	fedora-rmdevelrpms fedora-rpmchecksig fedora-rpminfo fedora-rpmvercmp \
-	fedora-wipebuildtree
+dist_bin_SCRIPTS = buildrpmtree diffarchive extractarchive \
+	rpmmd5 newrpmspec \
+	rmdevelrpms rpmchecksig rpminfo rpmvercmp \
+	wipebuildtree
 
 dist_pkgdata_DATA = spectemplate-lib.spec spectemplate-minimal.spec \
 	spectemplate-perl.spec spectemplate-python.spec \
 	spectemplate-ruby.spec template.init
 
-dist_man1_MANS = fedora-extract.1 fedora-diffarchive.1
-dist_man8_MANS = fedora-rmdevelrpms.8
+dist_man1_MANS = extractarchive.1 diffarchive.1
+dist_man8_MANS = rmdevelrpms.8
 
 dist_rpmlib_SCRIPTS = check-buildroot check-rpaths check-rpaths-worker
 
@@ -24,7 +24,7 @@
 
 EXTRA_DIST = $(PACKAGE).spec
 
-MAINTAINERCLEANFILES = $(dist_man1_MANS) $(dist_man8_MANS) fedora-rpminfo
+MAINTAINERCLEANFILES = $(dist_man1_MANS) $(dist_man8_MANS) rpminfo
 
 all:
 
@@ -38,5 +38,5 @@
 	env PATH=$(top_srcdir):$$PATH \
 	$(HELP2MAN) --section=8 --no-info $< --output=$@
 
-fedora-rpminfo:
+rpminfo:
 	$(WGET) -N http://people.redhat.com/twoerner/rpminfo/bin/rpminfo -O $@


Index: check-rpaths-worker
===================================================================
RCS file: /cvs/fedora/fedora-rpmdevtools/check-rpaths-worker,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- check-rpaths-worker	4 Feb 2006 16:48:40 -0000	1.8
+++ check-rpaths-worker	17 Jul 2006 20:02:10 -0000	1.9
@@ -64,7 +64,7 @@
 * - to check existing files, set \$RPM_BUILD_ROOT and execute check-rpaths like
 *   \$ RPM_BUILD_ROOT=<top-dir> /usr/lib/rpm/check-rpaths
 *  
-* 'check-rpaths' is part of 'fedora-rpmdevtools'.
+* 'check-rpaths' is part of 'rpmdevtools'.
 *
 *******************************************************************************
 EOF


Index: configure.ac
===================================================================
RCS file: /cvs/fedora/fedora-rpmdevtools/configure.ac,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- configure.ac	16 Jul 2006 21:09:23 -0000	1.2
+++ configure.ac	17 Jul 2006 20:02:10 -0000	1.3
@@ -1,4 +1,4 @@
-AC_INIT(fedora-rpmdevtools, 1.6)
+AC_INIT(rpmdevtools, 5.0)
 AM_INIT_AUTOMAKE
 AC_PATH_PROG(HELP2MAN,help2man)
 AC_PATH_PROG(WGET,wget)


Index: rmdevelrpms.conf
===================================================================
RCS file: /cvs/fedora/fedora-rpmdevtools/rmdevelrpms.conf,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- rmdevelrpms.conf	31 Oct 2003 18:54:46 -0000	1.1
+++ rmdevelrpms.conf	17 Jul 2006 20:02:10 -0000	1.2
@@ -1,7 +1,7 @@
 #                                                                -*- python -*-
 #
-# To prevent fedora-rmdevelrpms from removing some packages, add them to
-# nondevpkgs. The value can be a Python tuple or a whitespace separated string.
+# To prevent rmdevelrpms from removing some packages, add them to nondevpkgs.
+# The value can be a Python tuple or a whitespace separated string.
 # For example:
 #   nondevpkgs = ("foo-devel", "bar-devel")
 #   nondevpkgs = "foo-devel bar-devel"


--- fedora-buildrpmtree DELETED ---


--- fedora-diffarchive DELETED ---


--- fedora-extract DELETED ---


--- fedora-md5 DELETED ---


--- fedora-newrpmspec DELETED ---


--- fedora-rmdevelrpms DELETED ---


--- fedora-rpmchecksig DELETED ---


--- fedora-rpmdevtools.spec DELETED ---


--- fedora-rpmvercmp DELETED ---


--- fedora-wipebuildtree DELETED ---


--- mkdist.sh DELETED ---




More information about the fedora-extras-commits mailing list